<div class="main-content pad">
    <div class="container-fluid">
    	<div class="row">
                <div class="card">
                    <div class="card-header card-header-rose card-header-icon">
	                    <div class="card-icon">
	                            <i class="material-icons">poll</i>
	                        </div>
						    <br/>
					</div>
        			<div class="card-body">
        			<mat-accordion>
					  <!-- <mat-expansion-panel (opened)="panelOpenState = true" (closed)="panelOpenState = false"> -->
					  <mat-expansion-panel>
					    <mat-expansion-panel-header>
					      <mat-panel-title>
					        <span class="textH">FILTER PENCARIAN</span>
					      </mat-panel-title>
					    </mat-expansion-panel-header>
								<div class="row">
							    	<div class="col-2" [formGroup]="editForm">
							            <div class="input-group mb-3" >
							                  <select class="form-control textH" name="ppd" formControlName="ppd" id="field_sistem" (change)="onChange($event.target.value)">
							                      <option class="textH" value="" selected disabled>PILIH PENCARIAN</option>
							                      <option value="tgl" class="textH">Tanggal Pengajuan</option>
							                      <option value="bln" class="textH">Bulan Pengajuan</option>
							                  </select>
										</div>
							         </div>
							        <div class="col-md-5">
							            <div class="input-group mb-4">
							                 <span *ngIf="sPpd">
							                	<input type="date" class="form-control textH" name="date" [(ngModel)]="date" (ngModelChange)="searchPpd('ppdDate')" required/>
											 </span> 
											 <span *ngIf="!sPpd">
							               		 <input type="month" class="form-control textH" name="month" [(ngModel)]="month" (ngModelChange)="searchPpd('ppdMonth')" required/>
											 </span>
							            </div>
							        </div>
							        <div class="col-md-2">
									</div>
							        <div class="col-md-3 input-group" [formGroup]="ppkGroup">
										<input type="text" class="form-control textH"  name="ppknomor" id="ppknomor" placeholder="cari nomor pengajuan..." formControlName="ppknomor">
										<button mat-raised-button class="btn btn-info btn-round btn-just-icon btn-sm" (click)="searchppk('nomor')">
						                        <i class="material-icons">search</i>
						                </button>
						                <button mat-raised-button class="btn btn-danger btn-round btn-just-icon btn-sm" (click)="clear()">
						                  <i class="material-icons">delete</i>
						                    <div class="ripple-container"></div>
						                </button>
									</div>
							    </div>
					  </mat-expansion-panel>
					</mat-accordion>
        			<br/>
			            <jhi-alert-error></jhi-alert-error>
			            <!--<div class="table-responsive-sm" *ngIf="pengajuans?.length > 0">-->
			            <div class="table-responsive-sm">
						        <table class="table table-no-bordered table-hover" aria-describedby="page-heading">
						            <tbody>
						            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)" class="textH">
							            <td scope="col" class="d-none d-sm-table-cell"><span>TANGGAL</span></td>
							           	<td scope="col" class="d-none d-sm-table-cell">NOMOR</td>
							            <td scope="col" class="d-none d-sm-table-cell">PENDAMPING</td>
							           	<td scope="col" class="d-none d-sm-table-cell text-center">LEMBAGA</td>
							            <td scope="col" class="d-sm-table-cell">PELAKU USAHA</td>
							            <td scope="col" class="d-none d-sm-table-cell text-center">STATUS</td>
							            <td scope="col" class="d-none d-sm-table-cell text-center">ADMIN</td>
							            <td scope="col" class="d-none d-sm-table-cell text-center">NO SERTIFIKAT</td>
							            <td scope="col" class="d-none d-sm-table-cell text-center"></td>
						            </tr>
						            </tbody>
						            <tbody>
						            <tr *ngFor="let pengajuan of pengajuans let i= index" class="textB">
									    <!--<td class="d-none d-sm-table-cell">{{((page-1) * itemsPerPage)+(i+1) }}</td>-->
						                <td class="d-none d-sm-table-cell">{{pengajuan.tglPengajuan | date:'dd-MM-yyyy'}}</td>
						                <td class="d-none d-sm-table-cell">
											<a class="hand  textwait" (click)="openPengajuan(pengajuan)">
					                            {{pengajuan.noPengajuan}}
					                        </a>
					                    </td>
						                <td class="d-none d-sm-table-cell text-left">
											<a class="hand  textwait" (click)="openPendamping(pengajuan.pendamping)">
					                            {{pengajuan.damping}}
					                        </a>
					                     </td>
					                     <td class="d-none d-sm-table-cell text-left">{{pengajuan.lembaga.name}}</td>
						                <td class="d-sm-table-cell text-left">{{pengajuan.nama}}</td>
						                 <td class="d-none d-sm-table-cell text-center">
											<span *ngIf="pengajuan.status === 1" class="textbatal">REVISI</span>
											<span *ngIf="pengajuan.status === 2" class="textwait">PROSES</span>
											<span *ngIf="pengajuan.status === 3" class="textcomplete">COMPLETE</span>
											<span *ngIf="pengajuan.status === 4" class="textsubmit">SUBMIT</span>
											<span *ngIf="pengajuan.status === 5" class="textinvoice">INVOICE DONE</span>
										</td>
						                <td class="d-none d-sm-table-cell text-center">
											<button type="button" (click)="check(pengajuan.id)" *ngIf="!pengajuan.verifyBy"
					                                class="btn btn-success btn-sm">
					                            <span class="d-none d-md-inline">CEK</span>
					                        </button>
					                        <button *jhiHasAnyAuthority="['ROLE_ADMIN','ROLE_MANAGER']" type="button" (click)="unSetAdmin(pengajuan.id)" 
					                                class="btn btn-success btn-sm">
					                            <span class="d-none d-md-inline">UNCEK</span>
					                        </button>
					                        <span *ngIf="pengajuan.verifyBy">{{pengajuan.verifyBy}}</span>
										</td>
						                <td class="d-none d-sm-table-cell text-center">
											
					                        <span *ngIf="!pengajuan.noSertifikat">-</span>
					                        <span *ngIf="pengajuan.noSertifikat">
												<a class="hand" (click)="openDoc(pengajuan.linkSertifikat)">
						                            {{pengajuan.noSertifikat}}
						                        </a>
											</span>
					                    </td>
										<td class="d-none d-sm-table-cell text-right">
											<button *ngIf="pengajuan.status !== 3" mat-raised-button class="btn btn-info btn-round btn-just-icon btn-sm" (click)="editPemeriksaan(pengajuan)">
						                        <i class="material-icons">edit</i>
						                	</button>
											<button *ngIf="pengajuan.status === 2 || pengajuan.status === 1" mat-raised-button class="btn btn-info btn-round btn-just-icon btn-sm" (click)="uploadPengajuan(pengajuan)" >
						                        <i class="material-icons">camera</i>
						                	</button>
											<button type="button" (click)="submit(pengajuan.id)" *ngIf="pengajuan.status === 2 || pengajuan.status === 1"
					                                class="btn btn-info btn-sm">
					                            <!--<fa-icon [icon]="'update'"></fa-icon>-->
					                            <span class="d-none d-md-inline">SUBMIT</span>
					                        </button>
											<button type="button" (click)="editPengajuan(pengajuan)" *ngIf="pengajuan.status === 4"
					                                class="btn btn-success btn-sm">
					                            <!--<fa-icon [icon]="'update'"></fa-icon>-->
					                            <span class="d-none d-md-inline">INPUT SERT</span>
					                        </button>	
					                        <button type="button" (click)="reject(pengajuan.id)" *ngIf="pengajuan.status === 2"
					                                class="btn btn-warning btn-sm">
					                           <!-- <fa-icon [icon]="'times'"></fa-icon>-->
					                            <span class="d-none d-md-inline">TOLAK</span>
					                        </button>
					                        <button  *jhiHasAnyAuthority="['ROLE_ADMIN','ROLE_MANAGER']" mat-raised-button mat-min-fab type="button" (click)="confirmDelete(pengajuan.id)"
						                               class="btn btn-danger btn-sm btn-just-icon btn-round">
						                   				<i class="material-icons">close</i>
											</button>
										</td>
						            </tr>
						            </tbody>
						        </table>
						</div>
			    <div>
			        <div class="row justify-content-center">
			            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
			        </div>
			        <div class="row justify-content-center">
			            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
			        </div>
			    </div>
        			</div>
			</div>
		</div>
	</div>
</div>